<?php
// SyokuhouTest.php
// Created: 2023-10-20
// Updated: 2023-10-20

declare(strict_types=1);

use PHPUnit\Framework\TestCase;

/**
 * @covers \Syokuhou\SyokuhouInfo
 */
final class SyokuhouTest extends TestCase {
    public function testVersionDecode(): void {
        $expected = trim(file_get_contents(__DIR__ . '/../VERSION'));
        $this->assertEquals($expected, \Syokuhou\SyokuhouInfo::getVersionString());
        $this->assertEquals($expected, (string)\Syokuhou\SyokuhouInfo::getVersion());
    }
}
